/*************************************************************************************************
 * 프로그램명 : MTableType.java 프로그램설명 : 집계문서의 표 기본정보 처리 작성자 : 강원중 작성일 : 2003.12.03 변경일 : 2004.09.16
 **************************************************************************************************/

package kr.co.kihyun.moumi.doc.table;

public class MTableType {

	boolean isStart = true;
	int startTRNum = -1;
	int endTRNum = -1;

	public MTableType(int num) {
		endTRNum = num;
	}

	public void setStartTRNum(int num) {
		if (isStart)
			startTRNum = num;
		isStart = false;
	}

	public void setEndTRNum(int num) {
		endTRNum = num;
	}

	public boolean isDynaTable() {
		if (startTRNum == endTRNum) {
			return true;
		} else {
			return false;
		}
	}

	public int tableType() {
		if (startTRNum == endTRNum) {
			return MTable.DYNA;
		} else {
			return MTable.STATIC;
		}
	}
}
